/*
 * This file and its contents are supplied under the terms of the
 * Common Development and Distribution License ("CDDL"), version 1.0.
 * You may only use this file in accordance with the terms of version
 * 1.0 of the CDDL.
 *
 * A full copy of the text of the CDDL should have accompanied this
 * source.  A copy is of the CDDL is also available via the Internet
 * at http://www.illumos.org/license/CDDL.
 */

/*
 * Copyright 2013 David Hoeppner.  All rights reserved.
 */

/*
 * POSIX iconv.
 */

#include <sys/types.h>

#include <libintl.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

/*
 * Macros.
 */
#define	_(x)	gettext(x)

extern int	com_char;	/* Comment character */
extern int	esc_char;	/* Escape character */
extern int	mb_cur_max;
extern int	mb_cur_min;

extern int	yydebug;
extern int	lineno;

/*
 * Functions from scanner.c
 */
char	*to_mb_string(const wchar_t *);
void	set_wide_encoding(const char *);
void	add_wcs(wchar_t);
wchar_t	*get_wcs(void);
void	reset_scanner(const char *);
void	yyerror(const char *);
void	errf(const char *, ...);
void	scan_to_eol(void);

/*
 * Functions from charmap.c
 */
void	init_charmap(void);
void	switch_charmap(void);
void	add_charmap(char *, int);
void	add_charmap_range(char *, char *, int);
